## breeze 6.3.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(breeze)
set(PROJECT_VERSION "6.3.5")
set(PROJECT_VERSION_MAJOR 6)

set(KF5_MIN_VERSION "5.102.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
set(QT5_MIN_VERSION "5.15.2")
set(QT_MIN_VERSION "6.7.0")

include(GenerateExportHeader)
include(WriteBasicConfigVersionFile)
include(FeatureSummary)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH}  ${CMAKE_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# We need this because we can't include KDECMakeSettings here, because that
# would need KDEInstallDirs, which we can only include in the qt{5,6} builds
# to get the correct installation dirs for each Qt version.
option(BUILD_TESTING "Build the testing tree." ON)
if(BUILD_TESTING)
    enable_testing()
endif()

include(CMakePackageConfigHelpers)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(GtkUpdateIconCache)


option(BUILD_QT5 "Build Qt5 style" ON)
option(BUILD_QT6 "Build with Qt6" ON)

set(QT_NO_CREATE_VERSIONLESS_TARGETS ON)
set(QT_NO_CREATE_VERSIONLESS_FUNCTIONS ON)

# For KDE CI only. As the current infrastructure doesn't allow us to set CMAKE options per build variant
if($ENV{CI_JOB_NAME_SLUG} MATCHES "qt5")
    set(BUILD_QT5 ON)
    set(BUILD_QT6 OFF)
elseif($ENV{CI_JOB_NAME_SLUG} MATCHES "qt6")
    set(BUILD_QT5 OFF)
    set(BUILD_QT6 ON)
endif()

function(build_Qt5)
    set(QT_MAJOR_VERSION 5)
    include(KDEInstallDirs5)
    include(KDECMakeSettings)

    find_package(Qt5 ${QT5_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets)

    if(UNIX AND NOT APPLE AND NOT ANDROID)
        find_package(Qt5 ${QT5_MIN_VERSION} CONFIG REQUIRED DBus)
        set(HAVE_QTDBUS ${Qt5DBus_FOUND})

        find_package(KF5FrameworkIntegration ${KF5_MIN_VERSION} CONFIG )
        set_package_properties(KF${QT_MAJOR_VERSION}FrameworkIntegration PROPERTIES
            DESCRIPTION "KF${QT_MAJOR_VERSION} Framework Integration"
            URL "https://projects.kde.org/projects/frameworks/frameworkintegration"
            TYPE OPTIONAL
            PURPOSE "Required to use KStyle convenience functionalities in style")

        find_package(Qt5 ${QT5_MIN_VERSION} OPTIONAL_COMPONENTS X11Extras)
        set_package_properties(KF${QT_MAJOR_VERSION}FrameworkIntegration PROPERTIES
            DESCRIPTION "KF${QT_MAJOR_VERSION} Framework Integration"
            URL "https://projects.kde.org/projects/frameworks/frameworkintegration"
            TYPE OPTIONAL
            PURPOSE "Required to use KStyle convenience functionalities in style")
    endif()

    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
        CoreAddons
        Config
        ConfigWidgets
        GuiAddons
        IconThemes
        WindowSystem)

    find_package(Qt5 ${QT5_MIN_VERSION} OPTIONAL_COMPONENTS Quick)
    if(${Qt5Quick_FOUND})
        find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Kirigami2)
    endif()

    set(BREEZE_HAVE_KSTYLE ${KF5FrameworkIntegration_FOUND})
    set(BREEZE_HAVE_QTQUICK ${Qt5Quick_FOUND})

    add_subdirectory(kstyle kstyle5)
    add_subdirectory(libbreezecommon libbreezecommon5)

    unset(QUERY_EXECUTABLE CACHE)
endfunction()
if(BUILD_QT5)
    build_Qt5()
endif()

function(build_Qt6)
    set(QT_MAJOR_VERSION 6)
    include(KDEInstallDirs6)
    include(KDECMakeSettings)

    if(UNIX AND NOT APPLE AND NOT ANDROID)
        find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
        set(HAVE_QTDBUS ${Qt6DBus_FOUND})

        option(WITH_DECORATIONS "Build Breeze window decorations for KWin" ON)
        option(WITH_WALLPAPERS "Install Breeze default wallpapers" ON)

        find_package(KF6FrameworkIntegration ${KF6_MIN_VERSION} CONFIG )
        set_package_properties(KF${QT_MAJOR_VERSION}FrameworkIntegration PROPERTIES
            DESCRIPTION "KF6 Framework Integration"
            URL "https://projects.kde.org/projects/frameworks/frameworkintegration"
            TYPE OPTIONAL
            PURPOSE "Required to use KStyle convenience functionalities in style")

        find_package(KF6KCMUtils ${KF6_MIN_VERSION})
        set_package_properties(KF6KCMUtils PROPERTIES
            TYPE REQUIRED
            DESCRIPTION "Helps create configuration modules"
            PURPOSE "KCMUtils used for the configuration modules or the decoration and Qt Style"
        )
    else()
        set(WITH_DECORATIONS OFF)
        set(WITH_WALLPAPERS OFF)
    endif()

    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets Core Svg)

    find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
        CoreAddons
        ColorScheme
        Config
        GuiAddons
        I18n
        IconThemes
        WindowSystem)

    find_package(Qt6 ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Quick)
    if(${Qt6Quick_FOUND})
        find_package(KF6KirigamiPlatform ${KF6_MIN_VERSION} REQUIRED)
    endif()

    set(BREEZE_HAVE_KSTYLE ${KF6FrameworkIntegration_FOUND})
    set(BREEZE_HAVE_QTQUICK ${Qt6Quick_FOUND})

    # https://bugreports.qt.io/browse/QTBUG-114706
    add_library(Qt::Core ALIAS Qt6::Core)
    add_library(Qt::Gui ALIAS Qt6::Gui)
    add_library(Qt::OpenGL ALIAS Qt6::OpenGL)
    add_library(Qt::Network ALIAS Qt6::Network)
    if(Qt6_VERSION_MINOR GREATER 6)
        add_library(Qt::PlatformModuleInternal ALIAS Qt6::PlatformModuleInternal)
    endif()

    add_subdirectory(kstyle kstyle6)
    add_subdirectory(libbreezecommon libbreezecommon6)
    add_subdirectory(misc)

    if(WITH_DECORATIONS)
        find_package(KDecoration3 REQUIRED)
        add_subdirectory(kdecoration)
    endif()
    if (WITH_WALLPAPERS)
        add_subdirectory(wallpapers)
    endif()

    ki18n_install(po)

    # create a Config.cmake and a ConfigVersion.cmake file and install them
    include(ECMSetupVersion)
    ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX BREEZE
        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfigVersion.cmake"
    )
    set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Breeze")

    configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/BreezeConfig.cmake.in"
                                  "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfig.cmake"
                                  PATH_VARS KDE_INSTALL_FULL_DATADIR
                                  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )
    install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfig.cmake"
                   "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfigVersion.cmake"
            DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
            COMPONENT Devel
    )

    unset(QUERY_EXECUTABLE CACHE)
endfunction()
if(BUILD_QT6)
    build_Qt6()
endif()

function(build_colors_and_cursors)
    # While it is technically not 100% correct to use versionless
    # KDEInstallDirs while (maybe) building for both Qt versions,
    # it doesn't really matter at the end, because colors and cursors
    # only use ICONDIR and DATADIR which both do not depend on the version
    include(KDEInstallDirs)
    add_subdirectory(colors)
    add_subdirectory(cursors)
endfunction()

build_colors_and_cursors()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
breeze (4:6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Kcursorgen: Add QDebug include.
    - Add missing includes.
  * Backport upstream commits:
    - Fix truncated group box captions due to not taking actual font metrics.
    (kde#498582)
    - Fix radio button animation.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:39 +0200

breeze (4:6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:01:33 +0200

=== debian/control ===
Source: breeze
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               kirigami2-dev (>= 5.102.0~),
               libkdecorations3-dev,
               libkf5config-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5iconthemes-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5style-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf6colorscheme-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6guiaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6iconthemes-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6style-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-svg-dev (>= 6.7.0~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/?p=breeze.git/breeze
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/breeze
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/breeze.git
Rules-Requires-Root: no

Package: breeze
Architecture: any
Depends: breeze-cursor-theme (= ${source:Version}),
         breeze-icon-theme,
         breeze-wallpaper (= ${source:Version}),
         kde-style-breeze (= ${binary:Version}),
         kwin-style-breeze (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-style-breeze-qt5 (= ${binary:Version}),
Description: Default Plasma theme (Metapackage)
 This is the default theme for the KDE Plasma desktop.
 .
 This package includes wallpapers, icons, cursors, KWin style and Qt
 widget style for the Plasma 6 desktop.
 .
 This package is part of the KDE base workspace module.

Package: breeze-wallpaper
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: breeze (<< 4:6.1.4-2~),
Replaces: breeze (<< 4:6.1.4-2~),
Description: Default Plasma wallpaper
 This is the default wallpaper for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: breeze-cursor-theme
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Default Plasma cursor theme
 This is the default cursor theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: breeze-dev
Architecture: any
Depends: ${misc:Depends},
Description: Default Plasma theme (development files)
 This is the default theme for the KDE Plasma desktop.
 .
 This package includes development files.
 .
 This package is part of the KDE base workspace module.

Package: kde-style-breeze
Architecture: any
Depends: kde-style-breeze-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6kcmutils-bin,
Description: Widget style for Qt and KDE Software
 This is the default widget style for KDE's Plasma desktop.
 .
 This package is part of the Breeze theme module.

Package: kde-style-breeze-qt5
Architecture: any
Depends: kde-style-breeze-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6kcmutils-bin,
Breaks: kde-style-breeze (<< 4:6.2.4-2~),
Replaces: kde-style-breeze (<< 4:6.2.4-2~),
Description: Widget style for Qt and KDE Software running Qt5
 This is the default widget style for KDE's Plasma desktop for apps still
 depending on Qt5 and KDE Frameworks 5.
 .
 This package is part of the Breeze theme module.

Package: kde-style-breeze-data
Architecture: all
Depends: ${misc:Depends},
Breaks: kde-style-breeze (<< 4:6.2.4-2~),
Replaces: kde-style-breeze (<< 4:6.2.4-2~),
Description: Widget style for Qt and KDE Software - data files
 This is the default widget style for KDE's Plasma desktop.
 .
 This package containts the architecture-independent data files used by both
 the Qt6 and Qt5 versions of the Breeze theme module.
 .
 This package is part of the Breeze theme module.

Package: kwin-style-breeze
Architecture: any
Depends: kde-style-breeze (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6kcmutils-bin,
Description: KWin Breeze Style
 This is the Breeze window manager style for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

## breeze 6.4.4

=== debian/changelog ===
breeze (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Drop included upstream_9c13ba31_colors_make_breeze_dark_darker.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:26:37 +0100

breeze (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:32:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: breeze
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 6.14.0~),
                gettext,
                kirigami2-dev (>= 5.102.0~),
-               libkdecorations3-dev,
+               libkdecorations3-dev (>= 4:6.4.4~),
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -22,35 +23,35 @@
                libkf5kcmutils-dev (>= 5.102.0~),
                libkf5style-dev (>= 5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
-               libkf6colorscheme-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6guiaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6iconthemes-dev (>= 6.10.0~),
-               libkf6kcmutils-dev (>= 6.10.0~),
-               libkf6style-dev (>= 6.10.0~),
-               libkf6windowsystem-dev (>= 6.10.0~),
-               libkirigami-dev (>= 6.10.0~),
+               libkf6colorscheme-dev (>= 6.14.0~),
+               libkf6config-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.14.0~),
+               libkf6guiaddons-dev (>= 6.14.0~),
+               libkf6i18n-dev (>= 6.14.0~),
+               libkf6iconthemes-dev (>= 6.14.0~),
+               libkf6kcmutils-dev (>= 6.14.0~),
+               libkf6style-dev (>= 6.14.0~),
+               libkf6windowsystem-dev (>= 6.14.0~),
+               libkirigami-dev (>= 6.14.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.7.0~),
-               qt6-svg-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
+               qt6-svg-dev (>= 6.8.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/?p=breeze.git/breeze
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/breeze
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/breeze.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
 Rules-Requires-Root: no
 
 Package: breeze
 Architecture: any
 Depends: breeze-cursor-theme (= ${source:Version}),
-         breeze-icon-theme,
+         kf6-breeze-icon-theme,
          breeze-wallpaper (= ${source:Version}),
          kde-style-breeze (= ${binary:Version}),
          kwin-style-breeze (= ${binary:Version}),
@@ -69,8 +70,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: breeze (<< 4:6.1.4-2~),
-Replaces: breeze (<< 4:6.1.4-2~),
+Breaks: breeze (<< 4:6.2.5-1~),
+Replaces: breeze (<< 4:6.2.5-1~),
 Description: Default Plasma wallpaper
  This is the default wallpaper for the KDE Plasma 6 desktop.
  .
@@ -112,8 +113,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6kcmutils-bin,
-Breaks: kde-style-breeze (<< 4:6.2.4-2~),
-Replaces: kde-style-breeze (<< 4:6.2.4-2~),
+Breaks: kde-style-breeze (<< 4:6.2.5-1~),
+Replaces: kde-style-breeze (<< 4:6.2.5-1~),
 Description: Widget style for Qt and KDE Software running Qt5
  This is the default widget style for KDE's Plasma desktop for apps still
  depending on Qt5 and KDE Frameworks 5.
@@ -123,8 +124,8 @@
 Package: kde-style-breeze-data
 Architecture: all
 Depends: ${misc:Depends},
-Breaks: kde-style-breeze (<< 4:6.2.4-2~),
-Replaces: kde-style-breeze (<< 4:6.2.4-2~),
+Breaks: kde-style-breeze (<< 4:6.2.5-1~),
+Replaces: kde-style-breeze (<< 4:6.2.5-1~),
 Description: Widget style for Qt and KDE Software - data files
  This is the default widget style for KDE's Plasma desktop.
  .

## breeze 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 project(breeze)
-set(PROJECT_VERSION "6.3.5")
-set(PROJECT_VERSION_MAJOR 6)
+set(PROJECT_VERSION "6.4.5")
 
 set(KF5_MIN_VERSION "5.102.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 set(QT5_MIN_VERSION "5.15.2")
-set(QT_MIN_VERSION "6.7.0")
+set(QT_MIN_VERSION "6.8.0")
 
 include(GenerateExportHeader)
 include(WriteBasicConfigVersionFile)

=== kdecoration/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="breeze_kwin_deco")

################# includes #################
include_directories(${CMAKE_SOURCE_DIR}/libbreezecommon)
include_directories(${CMAKE_BINARY_DIR}/libbreezecommon)

################# newt target #################
### plugin classes
set(breezedecoration_SRCS
    breezebutton.cpp
    breezedecoration.cpp
    breezesettingsprovider.cpp
    breezeexceptionlist.cpp
)

### build library
kconfig_add_kcfg_files(breezedecoration_SRCS breezesettings.kcfgc)
add_library(breezedecoration MODULE
    ${breezedecoration_SRCS}
    ${breezedecoration_config_PART_FORMS_HEADERS})

set_target_properties(breezedecoration PROPERTIES
    OUTPUT_NAME org.kde.breeze
)

target_link_libraries(breezedecoration
    PRIVATE
        breezecommon6
        Qt6::DBus
        KF6::CoreAddons
        KF6::ConfigGui
        KF6::GuiAddons
        KF6::I18n
        KF6::IconThemes
        KDecoration3::KDecoration
)

install(TARGETS breezedecoration DESTINATION ${KDE_INSTALL_PLUGINDIR}/${KDECORATION_PLUGIN_DIR})

add_subdirectory(config)

=== kdecoration/config/CMakeLists.txt ===
set(breezedecoration_config_SRCS
    ../breezeexceptionlist.cpp
    breezeconfigwidget.cpp
    breezedetectwidget.cpp
    breezeexceptiondialog.cpp
    breezeexceptionlistwidget.cpp
    breezeexceptionmodel.cpp
    breezeitemmodel.cpp
)
ki18n_wrap_ui(breezedecoration_config_SRCS
   ui/breezeconfigurationui.ui
   ui/breezeexceptiondialog.ui
   ui/breezeexceptionlistwidget.ui
)

kcoreaddons_add_plugin(kcm_breezedecoration SOURCES kcm_breezedecoration.cpp ${breezedecoration_config_SRCS} INSTALL_NAMESPACE "${KDECORATION_KCM_PLUGIN_DIR}")
kconfig_add_kcfg_files(kcm_breezedecoration ../breezesettings.kcfgc)
target_include_directories(kcm_breezedecoration PRIVATE ${CMAKE_SOURCE_DIR}/kdecoration ${CMAKE_BINARY_DIR}/kdecoration/)
target_link_libraries(kcm_breezedecoration
    PUBLIC
        Qt6::Core
        Qt6::Gui
        Qt6::DBus
    PRIVATE
        KF6::ConfigCore
        KF6::CoreAddons
        KF6::GuiAddons
        KF6::I18n
        KF6::IconThemes
        KF6::KCMUtils
)
kcmutils_generate_desktop_file(kcm_breezedecoration)

=== debian/changelog ===
breeze (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:00:17 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                extra-cmake-modules (>= 6.14.0~),
                gettext,
                kirigami2-dev (>= 5.102.0~),
-               libkdecorations3-dev (>= 4:6.4.4~),
+               libkdecorations3-dev (>= 4:6.4.5~),
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),

## breeze 6.4.5+p24.04+vstable+git20251003.1109

=== debian/changelog ===
breeze (4:6.4.5+p24.04+vstable+git20251003.1109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 11:09:59 +0000

breeze (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:48:01 +0000

breeze (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:05:40 +0000

breeze (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:07:09 +0000

breeze (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:17:31 +0000

breeze (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:34:11 +0000

breeze (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:04:14 +0000

breeze (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:42:23 +0000

breeze (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 06:52:17 +0000

breeze (4:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 14:53:51 +0000

breeze (4:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 16:56:48 +0000

breeze (4:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:39:29 +0000

breeze (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:16:53 +0000

breeze (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 02:43:47 +0000

breeze (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:19:09 +0000

breeze (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 13:57:34 +0000

breeze (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:47:02 +0000

breeze (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 15:53:01 +0000

breeze (4:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:25:02 +0000

breeze (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:00:38 +0000

breeze (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:21:29 +0000

breeze (4:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 16:57:26 +0000

breeze (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:30:34 +0000

## breeze 6.4.5+p24.04+vstable+git20251004.0535

=== debian/changelog ===
breeze (4:6.4.5+p24.04+vstable+git20251004.0535-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:36:06 +0000

## breeze 6.4.5+p24.04+vstable+git20251016.0137

=== debian/changelog ===
breeze (4:6.4.5+p24.04+vstable+git20251016.0137-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 01:38:11 +0000

## breeze 6.4.5+p24.04+vstable+git20251019.0639

=== debian/changelog ===
breeze (4:6.4.5+p24.04+vstable+git20251019.0639-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:40:02 +0000

## breeze 6.4.5+p24.04+vstable+git20251021.0249

=== debian/changelog ===
breeze (4:6.4.5+p24.04+vstable+git20251021.0249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 02:50:03 +0000

## breeze 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 project(breeze)
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.4.91")
 
 set(KF5_MIN_VERSION "5.102.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 set(QT5_MIN_VERSION "5.15.2")
-set(QT_MIN_VERSION "6.8.0")
+set(QT_MIN_VERSION "6.9.0")
 
 include(GenerateExportHeader)
 include(WriteBasicConfigVersionFile)

=== kstyle/config/CMakeLists.txt ===
### configuration plugin
add_definitions(-DTRANSLATION_DOMAIN=\"breeze_style_config\")
set(kstyle_breeze_config_PART_SRCS breezestyleconfig.cpp)

set(kstyle_breeze_config_PART_SRCS ${kstyle_breeze_config_PART_SRCS} breezestyleconfigmodule.cpp)

kconfig_add_kcfg_files(kstyle_breeze_config_PART_SRCS ../breezestyleconfigdata.kcfgc)
set(kstyle_breeze_config_PART_FORMS ui/breezestyleconfig.ui)
ki18n_wrap_ui(kstyle_breeze_config_PART_FORMS_HEADERS ${kstyle_breeze_config_PART_FORMS})

kcoreaddons_add_plugin(breezestyleconfig SOURCES
    ${kstyle_breeze_config_PART_SRCS}
    ${kstyle_breeze_config_PART_FORMS_HEADERS}
    INSTALL_NAMESPACE "kstyle_config"
)

target_link_libraries(breezestyleconfig
    PUBLIC
        Qt6::Core
        Qt6::Gui
        Qt6::Widgets
)

if(HAVE_QTDBUS)
    target_link_libraries(breezestyleconfig
        PUBLIC
            Qt6::DBus
    )
endif()

target_link_libraries(breezestyleconfig
    PUBLIC
        KF6::CoreAddons
        KF6::ConfigCore
        KF6::ConfigWidgets
        KF6::I18n
)
if(QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(breezestyleconfig
        PUBLIC
    KF6::KCMUtils
)
endif()
kcmutils_generate_desktop_file(breezestyleconfig)

set(breeze_settings_SOURCES main.cpp)
add_executable(breeze-settings ${breeze_settings_SOURCES} )
target_link_libraries(breeze-settings Qt6::Core Qt6::Gui Qt6::Widgets )
target_link_libraries(breeze-settings KF6::I18n KF6::KCMUtils KF6::CoreAddons)

set_target_properties(breeze-settings PROPERTIES OUTPUT_NAME breeze-settings6)

install(TARGETS breeze-settings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# icon
ecm_install_icons(ICONS sc-apps-breeze-settings.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor )

=== debian/changelog ===
breeze (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:09:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: breeze
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.14.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
                kirigami2-dev (>= 5.102.0~),
-               libkdecorations3-dev (>= 4:6.4.5~),
+               libkdecorations3-dev,
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -23,35 +22,35 @@
                libkf5kcmutils-dev (>= 5.102.0~),
                libkf5style-dev (>= 5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
-               libkf6colorscheme-dev (>= 6.14.0~),
-               libkf6config-dev (>= 6.14.0~),
-               libkf6coreaddons-dev (>= 6.14.0~),
-               libkf6guiaddons-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
-               libkf6iconthemes-dev (>= 6.14.0~),
-               libkf6kcmutils-dev (>= 6.14.0~),
-               libkf6style-dev (>= 6.14.0~),
-               libkf6windowsystem-dev (>= 6.14.0~),
-               libkirigami-dev (>= 6.14.0~),
+               libkf6colorscheme-dev (>= 6.18.0~),
+               libkf6config-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6guiaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6iconthemes-dev (>= 6.18.0~),
+               libkf6kcmutils-dev (>= 6.18.0~),
+               libkf6style-dev (>= 6.18.0~),
+               libkf6windowsystem-dev (>= 6.18.0~),
+               libkirigami-dev (>= 6.18.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0~),
-               qt6-svg-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.9.0~),
+               qt6-declarative-dev (>= 6.9.0~),
+               qt6-svg-dev (>= 6.9.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/?p=breeze.git/breeze
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/breeze
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/breeze.git
 Rules-Requires-Root: no
 
 Package: breeze
 Architecture: any
 Depends: breeze-cursor-theme (= ${source:Version}),
-         kf6-breeze-icon-theme,
+         breeze-icon-theme,
          breeze-wallpaper (= ${source:Version}),
          kde-style-breeze (= ${binary:Version}),
          kwin-style-breeze (= ${binary:Version}),
@@ -70,8 +69,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: breeze (<< 4:6.2.5-1~),
-Replaces: breeze (<< 4:6.2.5-1~),
+Breaks: breeze (<< 4:6.1.4-2~),
+Replaces: breeze (<< 4:6.1.4-2~),
 Description: Default Plasma wallpaper
  This is the default wallpaper for the KDE Plasma 6 desktop.
  .
@@ -113,8 +112,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6kcmutils-bin,
-Breaks: kde-style-breeze (<< 4:6.2.5-1~),
-Replaces: kde-style-breeze (<< 4:6.2.5-1~),
+Breaks: kde-style-breeze (<< 4:6.2.4-2~),
+Replaces: kde-style-breeze (<< 4:6.2.4-2~),
 Description: Widget style for Qt and KDE Software running Qt5
  This is the default widget style for KDE's Plasma desktop for apps still
  depending on Qt5 and KDE Frameworks 5.
@@ -124,8 +123,8 @@
 Package: kde-style-breeze-data
 Architecture: all
 Depends: ${misc:Depends},
-Breaks: kde-style-breeze (<< 4:6.2.5-1~),
-Replaces: kde-style-breeze (<< 4:6.2.5-1~),
+Breaks: kde-style-breeze (<< 4:6.2.4-2~),
+Replaces: kde-style-breeze (<< 4:6.2.4-2~),
 Description: Widget style for Qt and KDE Software - data files
  This is the default widget style for KDE's Plasma desktop.
  .

## breeze 6.5.0

=== debian/changelog ===
breeze (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:35:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: breeze
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 6.18.0~),
                gettext,
                kirigami2-dev (>= 5.102.0~),
-               libkdecorations3-dev,
+               libkdecorations3-dev (>= 4:6.5.0~),
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -41,16 +42,16 @@
                qt6-svg-dev (>= 6.9.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/?p=breeze.git/breeze
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/breeze
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/breeze.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
 Rules-Requires-Root: no
 
 Package: breeze
 Architecture: any
 Depends: breeze-cursor-theme (= ${source:Version}),
-         breeze-icon-theme,
+         kf6-breeze-icon-theme,
          breeze-wallpaper (= ${source:Version}),
          kde-style-breeze (= ${binary:Version}),
          kwin-style-breeze (= ${binary:Version}),
@@ -69,8 +70,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: breeze (<< 4:6.1.4-2~),
-Replaces: breeze (<< 4:6.1.4-2~),
+Breaks: breeze (<< 4:6.2.5-1~),
+Replaces: breeze (<< 4:6.2.5-1~),
 Description: Default Plasma wallpaper
  This is the default wallpaper for the KDE Plasma 6 desktop.
  .
@@ -112,8 +113,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6kcmutils-bin,
-Breaks: kde-style-breeze (<< 4:6.2.4-2~),
-Replaces: kde-style-breeze (<< 4:6.2.4-2~),
+Breaks: kde-style-breeze (<< 4:6.2.5-1~),
+Replaces: kde-style-breeze (<< 4:6.2.5-1~),
 Description: Widget style for Qt and KDE Software running Qt5
  This is the default widget style for KDE's Plasma desktop for apps still
  depending on Qt5 and KDE Frameworks 5.
@@ -123,8 +124,8 @@
 Package: kde-style-breeze-data
 Architecture: all
 Depends: ${misc:Depends},
-Breaks: kde-style-breeze (<< 4:6.2.4-2~),
-Replaces: kde-style-breeze (<< 4:6.2.4-2~),
+Breaks: kde-style-breeze (<< 4:6.2.5-1~),
+Replaces: kde-style-breeze (<< 4:6.2.5-1~),
 Description: Widget style for Qt and KDE Software - data files
  This is the default widget style for KDE's Plasma desktop.
  .

## breeze 6.5.0+p24.04+vstable+git20251021.0852

=== debian/changelog ===
breeze (4:6.5.0+p24.04+vstable+git20251021.0852-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:52:17 +0000

breeze (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:18:15 +0000

## breeze 6.5.0+p24.04+vstable+git20251028.1054

=== debian/changelog ===
breeze (4:6.5.0+p24.04+vstable+git20251028.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:55:18 +0000

## breeze 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(breeze)
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.1")
 
 set(KF5_MIN_VERSION "5.102.0")
 set(KF6_MIN_VERSION "6.18.0")

=== colors/CMakeLists.txt ===
install(FILES BreezeClassic.colors
        DESTINATION ${KDE_INSTALL_DATADIR}/color-schemes/)
install(FILES BreezeDark.colors
        DESTINATION ${KDE_INSTALL_DATADIR}/color-schemes/)
install(FILES BreezeLight.colors
        DESTINATION ${KDE_INSTALL_DATADIR}/color-schemes/)

=== cursors/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(Breeze)
add_subdirectory(Breeze_Light)

=== wallpapers/CMakeLists.txt ===

install(DIRECTORY Next DESTINATION ${KDE_INSTALL_WALLPAPERDIR} PATTERN "*base_size*" EXCLUDE)

=== cursors/Breeze/CMakeLists.txt ===
install(DIRECTORY Breeze/ DESTINATION ${KDE_INSTALL_ICONDIR}/breeze_cursors)

=== debian/changelog ===
breeze (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:14:30 +0100

breeze (4:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:59:08 +0200

breeze (4:6.4.91-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Tighten version of libkdecoration build dependency.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 13 Oct 2025 08:32:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: breeze
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.18.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
                kirigami2-dev (>= 5.102.0~),
-               libkdecorations3-dev (>= 4:6.5.0~),
+               libkdecorations3-dev (>= 4:6.4.91~),
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -42,16 +41,15 @@
                qt6-svg-dev (>= 6.9.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/?p=breeze.git/breeze
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/breeze
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/breeze.git
 
 Package: breeze
 Architecture: any
 Depends: breeze-cursor-theme (= ${source:Version}),
-         kf6-breeze-icon-theme,
+         breeze-icon-theme,
          breeze-wallpaper (= ${source:Version}),
          kde-style-breeze (= ${binary:Version}),
          kwin-style-breeze (= ${binary:Version}),
@@ -70,8 +68,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: breeze (<< 4:6.2.5-1~),
-Replaces: breeze (<< 4:6.2.5-1~),
+Breaks: breeze (<< 4:6.1.4-2~),
+Replaces: breeze (<< 4:6.1.4-2~),
 Description: Default Plasma wallpaper
  This is the default wallpaper for the KDE Plasma 6 desktop.
  .
@@ -113,8 +111,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6kcmutils-bin,
-Breaks: kde-style-breeze (<< 4:6.2.5-1~),
-Replaces: kde-style-breeze (<< 4:6.2.5-1~),
+Breaks: kde-style-breeze (<< 4:6.2.4-2~),
+Replaces: kde-style-breeze (<< 4:6.2.4-2~),
 Description: Widget style for Qt and KDE Software running Qt5
  This is the default widget style for KDE's Plasma desktop for apps still
  depending on Qt5 and KDE Frameworks 5.
@@ -124,8 +122,8 @@
 Package: kde-style-breeze-data
 Architecture: all
 Depends: ${misc:Depends},
-Breaks: kde-style-breeze (<< 4:6.2.5-1~),
-Replaces: kde-style-breeze (<< 4:6.2.5-1~),
+Breaks: kde-style-breeze (<< 4:6.2.4-2~),
+Replaces: kde-style-breeze (<< 4:6.2.4-2~),
 Description: Widget style for Qt and KDE Software - data files
  This is the default widget style for KDE's Plasma desktop.
  .

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QT5=ON -DBUILD_QT6=ON

#override_dh_install:
	# This is required to make sure Plasma does not
	# fall back to a cursor theme from the 90's
	#CURDIR=$(CURDIR) $(CURDIR)/debian/wrapperthemes.sh breeze_cursors \
	#                                                   Breeze_Snow
	#dh_install

## breeze 6.5.1+p24.04+vstable+git20251029.0623

=== debian/changelog ===
breeze (4:6.5.1+p24.04+vstable+git20251029.0623-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:23:50 +0000

breeze (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:36:15 +0000

=== debian/control ===
Source: breeze
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-frameworkintegration-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami2-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-kwindowsystem-dev,
               kirigami2-dev,
               kwayland-dev,
               libfftw3-dev,
               libkdecorations3-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5package-dev,
               libkf5service-dev,
               libkf5style-dev,
               libkf5wayland-dev,
               libkf5windowsystem-dev,
               libplasma-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/breeze
Vcs-Git: https://invent.kde.org/neon/kde/breeze.git
Vcs-Browser: https://invent.kde.org/neon/kde/breeze
Maintainer: Neon CI <neon@kde.org>

Package: breeze
Architecture: any
Depends: breeze-cursor-theme (= ${source:Version}),
         kde-style-breeze (= ${binary:Version}),
         kf6-breeze-icon-theme,
         kwin-style-breeze (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Default Plasma theme (meta-package).
 This is the default theme for the KDE Plasma desktop.
 .
 This package includes wallpapers, icons, cursors, KWin style and Qt
 widget style for the Plasma 6 desktop.
 .
 This package is part of the KDE base workspace module.

Package: breeze-cursor-theme
Architecture: all
Depends: breeze, ${misc:Depends}, ${shlibs:Depends}
Description: Default Plasma cursor theme.
 This is the default cursor theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: breeze-dev
Architecture: any
Depends: breeze, ${misc:Depends}, ${shlibs:Depends}
Description: Default Plasma theme (development files).
 This is the default theme for the KDE Plasma desktop.
 .
 This package includes development files.

Package: kde-style-breeze
Architecture: any
Depends: breeze, ${misc:Depends}, ${shlibs:Depends}
Description: Widget style for Qt and KDE Software
 This is the default widget style for KDE's Plasma desktop.
 .
 This package is part of the Breeze theme module.

Package: kwin-style-breeze
Architecture: any
Depends: breeze, ${misc:Depends}, ${shlibs:Depends}
Description: KWin Breeze Style
 This is the Breeze window manager style for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: breeze5
Architecture: any
Depends: breeze, ${misc:Depends}, ${shlibs:Depends}
Description: Default Plasma theme for Plasma 5.
 This is the compatability theme for QT/KDE 5 apps on the Plasma 6 desktop.

Package: breeze5-dev
Architecture: any
Section: oldlibs
Priority: optional
Depends: breeze5, ${misc:Depends}
Description: Default Plasma theme (development files).
 Transitional package.

Package: breeze5-cursor-theme
Architecture: all
Section: oldlibs
Priority: optional
Depends: breeze5, ${misc:Depends}
Description: Default Plasma cursor theme.
 Transitional package.

Package: kde-style-breeze5
Architecture: all
Section: oldlibs
Priority: optional
Depends: breeze5, ${misc:Depends}
Description: Widget style for Qt and KDE Software
 Transitional package.

Package: kwin-style-breeze5
Architecture: all
Section: oldlibs
Priority: optional
Depends: breeze5, ${misc:Depends}
Description: KWin Breeze Style
 Transitional package.

Package: kde-style-breeze5-qt4
Architecture: all
Section: oldlibs
Priority: optional
Depends: breeze5, ${misc:Depends}
Description: Widget style for Qt 4 and KDE Software - transitional
 Transitional package.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

QT6_CMAKE_ARGS = -DBUILD_QT5=OFF -DBUILD_QT6=ON
QT5_CMAKE_ARGS = -DBUILD_QT5=ON -DBUILD_QT6=OFF

%:
	dh $@ --with kf6 --buildsystem kf6

execute_after_dh_auto_clean:
	rm -rf build-QT5

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-QT5 -- $(QT5_CMAKE_ARGS) -DUSE_QT_VERSION=5
	dh_auto_configure -- $(QT6_CMAKE_ARGS) -DUSE_QT_VERSION=6

override_dh_auto_build:
	dh_auto_build --builddirectory=build-QT5
	dh_auto_build

override_dh_install:
	dh_auto_install --builddirectory=build-QT5
	dh_install
